GET api/bagapi/bag/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
BagViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| bag_status_id | globally unique identifier |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| code | integer |
Required |
|
| date_hu | date |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
|
| wash_count | integer |
None. |
|
| position | integer |
None. |
|
| pc_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"bag_status_id": "6bc02349-876d-4c33-a6e7-b26f88de19d1",
"cleanroom_type_id": "b17e03bb-23a6-4777-abef-1b14d5e18226",
"code": 3,
"date_hu": "2026-03-10T09:14:28.2193693+00:00",
"id": "988e13e0-a67d-4e4c-8c5a-e1437fbf3d10",
"site_id": "2c343a89-a523-4518-8cea-ea455dbc3093",
"wash_count": 6,
"position": 1,
"pc_id": "5861a1ba-8176-42f5-8bb2-036eb72e08ee"
}
application/xml, text/xml
Sample:
<bag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <bag_status_id>6bc02349-876d-4c33-a6e7-b26f88de19d1</bag_status_id> <cleanroom_type_id>b17e03bb-23a6-4777-abef-1b14d5e18226</cleanroom_type_id> <code>3</code> <date_hu>2026-03-10T09:14:28.2193693+00:00</date_hu> <id>988e13e0-a67d-4e4c-8c5a-e1437fbf3d10</id> <pc_id>5861a1ba-8176-42f5-8bb2-036eb72e08ee</pc_id> <position>1</position> <site_id>2c343a89-a523-4518-8cea-ea455dbc3093</site_id> <wash_count>6</wash_count> </bag>